package guzb.cnblogs.security.industrydemo.auth;

import org.springframework.security.core.GrantedAuthority;

/**
 * 权限数据库实体
 */
public class AuthorityEntity implements GrantedAuthority{

    /** 权限名称(英文），同时也是权限记录的主键 */
    private String name;

    /**  */
    private String title;

    /**
     * 权限类型
     * ROLE     : 角色权限
     * ORGANIZE : 组织权限
     **/
    private String type;

    @Override
    public String getAuthority() {
        // 这里最终会形成这样的权限文本串：ROLE_USER, ROLE_ADMIN 等
        return type + "_" + name;
    }

}
