package guzb.cnblogs.security.industrydemo.auth;

import com.fasterxml.jackson.annotation.JsonIgnore;

import java.util.Date;

/**
 * 自定义的用户明细数据库对象
 */
public class UserEntity {
    private Integer id;

    private String username;

    @JsonIgnore
    private String password;

    /** 姓名 */
    private String name;

    private String mobilePhone;

    private Boolean isEnabled;

    private Boolean isLocked;

    private Date accountExpiryTime;

    private Date passwordLastUpdateTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobilePhone() {
        return mobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    public Boolean getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(Boolean enabled) {
        isEnabled = enabled;
    }

    public Boolean getIsLocked() {
        return isLocked;
    }

    public void setIsLocked(Boolean locked) {
        isLocked = locked;
    }

    public Date getAccountExpiryTime() {
        return accountExpiryTime;
    }

    public void setAccountExpiryTime(Date accountExpiryTime) {
        this.accountExpiryTime = accountExpiryTime;
    }

    public Date getPasswordLastUpdateTime() {
        return passwordLastUpdateTime;
    }

    public void setPasswordLastUpdateTime(Date passwordLastUpdateTime) {
        this.passwordLastUpdateTime = passwordLastUpdateTime;
    }
}
